Package org.h2.result

# Class BatchResult

java.lang.Object
org.h2.result.BatchResult

public class BatchResult extends Object
Result of a batch execution.

## Constructor Summary

Constructors
Constructor
Description
`BatchResult(long[] updateCounts, ResultInterface generatedKeys, List<SQLException> exceptions)`

## Method Summary

Modifier and Type
Method
Description
`List<SQLException>`
`getExceptions()`
`ResultInterface`
`getGeneratedKeys()`
`long[]`
`getUpdateCounts()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchResult

public BatchResult(long[] updateCounts, ResultInterface generatedKeys, List<SQLException> exceptions)

## Method Details

### getUpdateCounts

public long[] getUpdateCounts()

### getGeneratedKeys

public ResultInterface getGeneratedKeys()

### getExceptions

public List<SQLException> getExceptions()